---
title: NodeList.entries()
slug: Web/API/NodeList/entries
tags:
  - DOM
  - Iteration
  - Method
  - Node
  - NodeList
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>NodeList.entries()</strong></code> method returns an {{jsxref("Iteration_protocols",'iterator')}} allowing to go through all key/value pairs contained in this object. The values are {{domxref("Node")}} objects.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>list</em>.entries();</pre>

<h3 id="Return_value">Return value</h3>

<p>Returns an {{jsxref("Iteration_protocols","iterator")}}.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js;highlight:[12]">var node = document.createElement("div");
var kid1 = document.createElement("p");
var kid2 = document.createTextNode("hey");
var kid3 = document.createElement("span");
node.appendChild(kid1);
node.appendChild(kid2);
node.appendChild(kid3);

var list = node.childNodes;

// Using for..of
for(var entry of list.entries()) {
  console.log(entry);
}
</pre>

<p>results in:</p>

<pre>Array [ 0, &lt;p&gt; ]
Array [ 1, #text "hey" ]
Array [ 2, &lt;span&gt; ]</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NodeList.entries")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Node")}}</li>
 <li>{{domxref("NodeList")}}</li>
</ul>
